﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QING_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_DATASET_INFO') 
 CREATE TABLE T_QING_DATASET_INFO (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FGROUPID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(500),
FCREATORID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FTYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_EXTRPT_CONTENT') 
 CREATE TABLE T_QING_EXTRPT_CONTENT (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXTRPTINFOID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTENT BLOB,
FCONTENTINDEX INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_EXTRPT_GROUP') 
 CREATE TABLE T_QING_EXTRPT_GROUP (
FID VARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FORDERID INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_EXTRPT_INFO') 
 CREATE TABLE T_QING_EXTRPT_INFO (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FGROUPID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(500),
FCREATORID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FTEMPLATETYPE CHAR(1) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_DATASET_CONTENT') 
 CREATE TABLE T_QING_DATASET_CONTENT (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATASETINFOID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTENT BLOB,
FCONTENTINDEX INT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QING_table.sql **/
