/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QING_constraint.sql **/

-- 首页数据库表start
EXEC P_ALTERPK 'PK_T_QING_M_COLLABORATION_MEM', 'T_QING_M_COLLABORATION_MEM', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_M_COLLABORATION_MEM' AND KSQL_INDNAME = 'IDX_QING_M_COLLABORATION_MEM') CREATE INDEX IDX_QING_M_COLLABORATION_MEM ON T_QING_M_COLLABORATION_MEM ( FMODELSETID );


EXEC p_DropIdx 'IDX_QING_M_MODELSET', 'T_QING_M_MODELSET';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_M_MODELSET' AND KSQL_INDNAME = 'IDX_QING_M_DISABLE') CREATE INDEX IDX_QING_M_DISABLE ON T_QING_M_MODELSET ( FDISABLED );
-- 首页数据库表end


-- 部署start
EXEC P_ALTERPK 'PK_T_QING_M_DEPLOY_MCONTENT', 'T_QING_M_DEPLOY_MCONTENT', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_M_DEPLOY_MCONTENT' AND KSQL_INDNAME = 'IDX_QING_DMC_MDID') CREATE INDEX IDX_QING_DMC_MDID ON T_QING_M_DEPLOY_MCONTENT ( FMODELDEPLOYID );


EXEC P_ALTERPK 'PK_T_QING_M_MODEL_DEPLOY', 'T_QING_M_MODEL_DEPLOY', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_M_MODEL_DEPLOY' AND KSQL_INDNAME = 'IDX_QING_M_MD_MODID') CREATE INDEX IDX_QING_M_MD_MODID ON T_QING_M_MODEL_DEPLOY ( FMODELID );

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_M_MODEL_DEPLOY' AND KSQL_INDNAME = 'IDX_QING_M_MD_MSDID') CREATE INDEX IDX_QING_M_MD_MSDID ON T_QING_M_MODEL_DEPLOY ( FMODSETDEPLOYID );


EXEC P_ALTERPK 'PK_T_QING_M_MODSET_DEPLOY', 'T_QING_M_MODSET_DEPLOY', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_M_MODSET_DEPLOY' AND KSQL_INDNAME = 'IDX_QING_M_MSD_MSETID') CREATE INDEX IDX_QING_M_MSD_MSETID ON T_QING_M_MODSET_DEPLOY ( FMODELSETID );


EXEC P_ALTERPK 'PK_QING_M_MODSET_VALID_DEPLOY', 'T_QING_M_MODSET_VALID_DEPLOY', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_M_MODSET_VALID_DEPLOY' AND KSQL_INDNAME = 'IDX_QING_M_MSVD_MSDID') CREATE INDEX IDX_QING_M_MSVD_MSDID ON T_QING_M_MODSET_VALID_DEPLOY ( FMODSETDEPLOYID );

-- 角色管理start
EXEC P_ALTERPK 'PK_T_QING_M_MODELSET_ROLE', 'T_QING_M_MODELSET_ROLE', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_M_MODELSET_ROLE' AND KSQL_INDNAME = 'IDX_QING_M_MS_ROLE_MODELSETID') CREATE INDEX IDX_QING_M_MS_ROLE_MODELSETID ON T_QING_M_MODELSET_ROLE ( FMODELSETID );


EXEC P_ALTERPK 'PK_T_QING_M_MODELSET_USERROLE', 'T_QING_M_MODELSET_USERROLE', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_M_MODELSET_USERROLE' AND KSQL_INDNAME = 'IDX_QING_M_MS_USERROLE_RID') CREATE INDEX IDX_QING_M_MS_USERROLE_RID ON T_QING_M_MODELSET_USERROLE ( FMODELSETROLEID );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QING_constraint.sql **/
