/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QING_table.sql **/

-- 首页数据库表start
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_M_COLLABORATION_MEM')
CREATE TABLE T_QING_M_COLLABORATION_MEM (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODELSETID VARCHAR(50),
FCOOPERATIONERID VARCHAR(50),
FTYPE CHAR(1),
FPERMISSION CHAR(1),
FINVITERID VARCHAR(50),
FCOLOR CHAR(50)
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_M_MODELSET') 
 CREATE TABLE T_QING_M_MODELSET (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODELSETNAME VARCHAR(100),
FDESCRIPTION VARCHAR(1000),
FCREATORID VARCHAR(50),
FCREATETIME VARCHAR(50),
FMODIFIEDID VARCHAR(50),
FMODIFIEDDATE DATETIME,
FDISABLED CHAR(1)
);

-- 首页数据库表end


-- 部署start
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_M_MODSET_VALID_DEPLOY')
CREATE TABLE T_QING_M_MODSET_VALID_DEPLOY (
                                              FID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                              FMODSETDEPLOYID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                              FMODELID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                              FMODELDEPLOYID VARCHAR(50) DEFAULT ' ' NOT NULL
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_M_DEPLOY_MCONTENT')
CREATE TABLE T_QING_M_DEPLOY_MCONTENT (
                                          FID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                          FMODELDEPLOYID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                          FCONTENT BLOB,
                                          FCONTENTIDX INT
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_M_MODEL_DEPLOY')
CREATE TABLE T_QING_M_MODEL_DEPLOY (
                                       FID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FMODSETDEPLOYID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FMODELID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FPREVIOUSID VARCHAR(50),
                                       FSEQUENCE INT DEFAULT -1 NOT NULL,
                                       FOPERATE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_M_MODSET_DEPLOY')
CREATE TABLE T_QING_M_MODSET_DEPLOY (
                                        FID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FMODELSETID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FDESC VARCHAR(500),
                                        FCREATORID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FCREATETIME DATETIME,
                                        FPREVIOUSID VARCHAR(50),
                                        FSEQUENCE INT DEFAULT -1 NOT NULL,
                                        FDEPLOYED CHAR(1) DEFAULT '0' NOT NULL
);
-- 部署end


-- 角色管理start
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_M_MODELSET_ROLE')
CREATE TABLE T_QING_M_MODELSET_ROLE (
                                        FID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FMODELSETROLENAME VARCHAR(255),
                                        FMODELSETID VARCHAR(50),
                                        FCREATORID VARCHAR(50),
                                        FCREATETIME DATETIME,
                                        FMODIFIERID VARCHAR(50),
                                        FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_M_MODELSET_USERROLE')
CREATE TABLE T_QING_M_MODELSET_USERROLE (
                                            FID VARCHAR(50) DEFAULT ' ' NOT NULL,
                                            FUSERID VARCHAR(50),
                                            FMODELSETROLEID VARCHAR(50),
                                            FCREATORID VARCHAR(50),
                                            FCREATETIME DATETIME,
                                            FCOLOR VARCHAR(50)
);
-- 角色管理end


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QING_table.sql **/
