/*
*更新仪表板引用FREFTYPE字段
*qingcenter → qingcenter_qing、qingcenter_rpt
*appmenu → appmenu_qing、appmenu_rpt
*/
UPDATE T_QING_DSB_REF R SET FREFTYPE = 'qingcenter_rpt' WHERE EXISTS (SELECT P.FID FROM T_QING_PUBLISH P WHERE P.FSOURCE = 'extreport' AND P.FID = R.FREFTOID) AND R.FREFTYPE = 'qingcenter';
UPDATE T_QING_DSB_REF R SET FREFTYPE = 'qingcenter_qing' WHERE EXISTS (SELECT P.FID FROM T_QING_PUBLISH P WHERE (P.FSOURCE = 'subject' OR P.FSOURCE = 'bill') AND P.FID = R.FREFTOID) AND R.FREFTYPE = 'qingcenter';
UPDATE T_QING_DSB_REF R SET FREFTYPE = 'appmenu_rpt' WHERE EXISTS (SELECT P.FID FROM T_QING_PUBLISH P WHERE P.FSOURCE = 'extreport' AND P.FID = R.FREFTOID) AND R.FREFTYPE = 'appmenu';
UPDATE T_QING_DSB_REF R SET FREFTYPE = 'appmenu_qing' WHERE EXISTS (SELECT P.FID FROM T_QING_PUBLISH P WHERE (P.FSOURCE = 'subject' OR P.FSOURCE = 'bill') AND P.FID = R.FREFTOID) AND R.FREFTYPE = 'appmenu';

UPDATE T_QING_PUB_DSB_REF R SET FREFTYPE = 'qingcenter_rpt' WHERE EXISTS (SELECT P.FID FROM T_QING_PUBLISH P WHERE P.FSOURCE = 'extreport' AND P.FID = R.FREFTOID) AND R.FREFTYPE = 'qingcenter';
UPDATE T_QING_PUB_DSB_REF R SET FREFTYPE = 'qingcenter_qing' WHERE EXISTS (SELECT P.FID FROM T_QING_PUBLISH P WHERE (P.FSOURCE = 'subject' OR P.FSOURCE = 'bill') AND P.FID = R.FREFTOID) AND R.FREFTYPE = 'qingcenter';
UPDATE T_QING_PUB_DSB_REF R SET FREFTYPE = 'appmenu_rpt' WHERE EXISTS (SELECT P.FID FROM T_QING_PUBLISH P WHERE P.FSOURCE = 'extreport' AND P.FID = R.FREFTOID) AND R.FREFTYPE = 'appmenu';
UPDATE T_QING_PUB_DSB_REF R SET FREFTYPE = 'appmenu_qing' WHERE EXISTS (SELECT P.FID FROM T_QING_PUBLISH P WHERE (P.FSOURCE = 'subject' OR P.FSOURCE = 'bill') AND P.FID = R.FREFTOID) AND R.FREFTYPE = 'appmenu';

UPDATE T_QING_TP_DSB_REF R SET FREFTYPE = 'qingcenter_rpt' WHERE EXISTS (SELECT P.FID FROM T_QING_PUBLISH P WHERE P.FSOURCE = 'extreport' AND P.FID = R.FREFTOID) AND R.FREFTYPE = 'qingcenter';
UPDATE T_QING_TP_DSB_REF R SET FREFTYPE = 'qingcenter_qing' WHERE EXISTS (SELECT P.FID FROM T_QING_PUBLISH P WHERE (P.FSOURCE = 'subject' OR P.FSOURCE = 'bill') AND P.FID = R.FREFTOID) AND R.FREFTYPE = 'qingcenter';
UPDATE T_QING_TP_DSB_REF R SET FREFTYPE = 'appmenu_rpt' WHERE EXISTS (SELECT P.FID FROM T_QING_PUBLISH P WHERE P.FSOURCE = 'extreport' AND P.FID = R.FREFTOID) AND R.FREFTYPE = 'appmenu';
UPDATE T_QING_TP_DSB_REF R SET FREFTYPE = 'appmenu_qing' WHERE EXISTS (SELECT P.FID FROM T_QING_PUBLISH P WHERE (P.FSOURCE = 'subject' OR P.FSOURCE = 'bill') AND P.FID = R.FREFTOID) AND R.FREFTYPE = 'appmenu';