﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QING_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_APP_USER') 
 CREATE TABLE T_QING_APP_USER (
FID BIGINT DEFAULT 0 NOT NULL,
FUNIONID VARCHAR(64) DEFAULT ' ' NOT NULL,
FEXTERNALUSERID VARCHAR(255),
FEXTERNALUSERTYPE CHAR(2),
FCREATETIME DATETIME,
FUPDATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_APP_ANALYSIS') 
 CREATE TABLE T_QING_APP_ANALYSIS (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(64),
FISDELETED CHAR(1) DEFAULT 'f',
FDIRECTORYID BIGINT,
FDESCRIPTION VARCHAR(255),
FURL VARCHAR(512),
FCREATETIME DATETIME,
FUPDATETIME DATETIME,
FLARGETHUMB VARCHAR(255),
FLAYOUT_TYPE VARCHAR(16),
FPRODUCTTYPE VARCHAR(32),
FSCHEMAID VARCHAR(64),
FQSID VARCHAR(64),
FISDEMO CHAR(1) DEFAULT 'f',
FCREATORNAME VARCHAR(255),
FPUBLISHID VARCHAR(64),
FVIEWTYPE CHAR(1),
FUNIONID VARCHAR(64),
FISLANDSCAPE CHAR(1) DEFAULT 'f',
FBOTTOMANNOTATION VARCHAR(255),
FDISPLAYSTYLE CHAR(1) DEFAULT '1'
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_APP_CONFIG') 
 CREATE TABLE T_QING_APP_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FUNIONID VARCHAR(64),
FVISITEDVIEWTYPE CHAR(1),
FAGREEMENTSTATUS CHAR(1) DEFAULT '0'
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_APP_DATACENTER') 
 CREATE TABLE T_QING_APP_DATACENTER (
FID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTTYPE VARCHAR(32),
FACCOUNTNAME VARCHAR(255),
FDATACENTERUUID VARCHAR(64),
FCREATETIME DATETIME,
FUPDATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_APP_DIR_DC_R') 
 CREATE TABLE T_QING_APP_DIR_DC_R (
FID BIGINT DEFAULT 0 NOT NULL,
FDIRECTORYID BIGINT,
FDATACENTERID BIGINT
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_APP_DIRECTORY') 
 CREATE TABLE T_QING_APP_DIRECTORY (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(64),
FISDELETED CHAR(1),
FCREATETIME DATETIME,
FUPDATETIME DATETIME,
FUNIONID VARCHAR(64)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_APP_FAVORITE') 
 CREATE TABLE T_QING_APP_FAVORITE (
FID BIGINT DEFAULT 0 NOT NULL,
FANALYSISID BIGINT,
FISFAVORITE CHAR(1),
FCREATETIME DATETIME,
FUPDATETIME DATETIME,
FSHARINGTARGETID BIGINT,
FUNIONID VARCHAR(64),
FSOURCEUNIONID VARCHAR(64)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_APP_MESSAGE') 
 CREATE TABLE T_QING_APP_MESSAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FCONTENT NCLOB,
FTYPECODE VARCHAR(32),
FCREATETIME DATETIME,
FUPDATETIME DATETIME,
FOPENID VARCHAR(64),
FISDELETED CHAR(1),
FISREADED CHAR(1),
FREPLYID BIGINT
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_APP_PERMPUBLISH') 
 CREATE TABLE T_QING_APP_PERMPUBLISH (
FID BIGINT DEFAULT 0 NOT NULL,
FANALYSISID BIGINT,
FCREATETIME DATETIME,
FUNIONID VARCHAR(64)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_APP_PRAISE') 
 CREATE TABLE T_QING_APP_PRAISE (
FID BIGINT DEFAULT 0 NOT NULL,
FISDELETED CHAR(1),
FSHARINGTARGETID BIGINT,
FOPENID VARCHAR(64),
FCREATETIME DATETIME,
FUPDATETIME DATETIME,
FCREATORNAME VARCHAR(32)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_APP_PUSH_RECORD') 
 CREATE TABLE T_QING_APP_PUSH_RECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FCONFIGID VARCHAR(64),
FANALYSISID BIGINT
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_APP_REPLY') 
 CREATE TABLE T_QING_APP_REPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FUPDATETIME DATETIME,
FPARENTREPLYID BIGINT,
FREPLYERID VARCHAR(64),
FREPLYERNAME VARCHAR(64),
FRECEIVERID VARCHAR(64),
FRECEIVERNAME VARCHAR(64),
FREPLYERICO VARCHAR(256),
FISREADED CHAR(1),
FCONTENTS VARCHAR(1024),
FISDELETED CHAR(1),
FLISTED CHAR(1),
FSHARINGTARGETID BIGINT
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_APP_SHARING') 
 CREATE TABLE T_QING_APP_SHARING (
FID BIGINT DEFAULT 0 NOT NULL,
FISDELETED CHAR(1),
FCREATORNAME VARCHAR(128),
FCREATETIME DATETIME,
FCREATORID VARCHAR(64),
FUPDATETIME DATETIME,
FANALYSISID BIGINT DEFAULT 0 NOT NULL,
FAVATAR VARCHAR(512),
FISWEBSHARE CHAR(1)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_APP_SHARING_TARGET') 
 CREATE TABLE T_QING_APP_SHARING_TARGET (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(256),
FISDELETED CHAR(1),
FCONTENTS VARCHAR(1024),
FTYPE VARCHAR(128),
FAVATAR VARCHAR(128),
FSHARINGID BIGINT,
FTARGETID VARCHAR(128),
FCREATETIME DATETIME,
FCREATORID VARCHAR(64),
FUPDATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_APP_USER_DC_R') 
 CREATE TABLE T_QING_APP_USER_DC_R (
FID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT,
FDATACENTERID BIGINT,
FLASTUSEDTIME DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QING_table.sql **/
