/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QING_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_QING_M_MODSET_SRC_MANAGE', 'T_QING_M_MODSET_SRC_MANAGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QING_M_SOURCE_MS_PID') CREATE INDEX IDX_QING_M_SOURCE_MS_PID ON T_QING_M_MODSET_SRC_MANAGE ( FMODELSETID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QING_M_SOURCE_HASHCODE') CREATE INDEX IDX_QING_M_SOURCE_HASHCODE ON T_QING_M_MODSET_SRC_MANAGE ( FHASHCODE );


 EXEC P_ALTERPK 'PK_T_QING_M_MODEL_SRC_REF', 'T_QING_M_MODEL_SRC_REF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QING_M_SRC_SOURCE_PID') CREATE INDEX IDX_QING_M_SRC_SOURCE_PID ON T_QING_M_MODEL_SRC_REF ( FSOURCEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QING_M_SRC_MODEL_PID') CREATE INDEX IDX_QING_M_SRC_MODEL_PID ON T_QING_M_MODEL_SRC_REF ( FFROMID );


 EXEC P_ALTERPK 'PK_T_QING_M_EXISTING_SRC_REF', 'T_QING_M_EXISTING_SRC_REF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QING_M_SRC_SRC_PID') CREATE INDEX IDX_QING_M_SRC_SRC_PID ON T_QING_M_EXISTING_SRC_REF ( FSOURCEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QING_M_SRC_REF_PID') CREATE INDEX IDX_QING_M_SRC_REF_PID ON T_QING_M_EXISTING_SRC_REF ( FREFID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QING_M_SRC_REF_HASHCODE') CREATE INDEX IDX_QING_M_SRC_REF_HASHCODE ON T_QING_M_EXISTING_SRC_REF ( FHASHCODE );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QING_constraint.sql **/
