﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QING_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_HO_OPERATION') 
 CREATE TABLE T_QING_HO_OPERATION (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FTOUSERID VARCHAR(50) DEFAULT ' ' NOT NULL,
FFROMUSERID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_HO_PUBLISH') 
 CREATE TABLE T_QING_HO_PUBLISH (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FHOSOURCEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPUBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPUBOLDNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FPUBNEWNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FPUBTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPUBPATH VARCHAR(255),
FPUBPATHNAME VARCHAR(255),
FPUBLISHTOTYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_HO_SOURCE') 
 CREATE TABLE T_QING_HO_SOURCE (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATIONID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSOURCEID VARCHAR(50),
FSOURCEOLDNAME VARCHAR(255),
FSOURCENEWNAME VARCHAR(255),
FSOURCEPATHID VARCHAR(255),
FSOURCEPATHNAME VARCHAR(255)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_MESSAGE') 
 CREATE TABLE T_QING_MESSAGE (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FMESSAGELEVEL CHAR(1) DEFAULT '1' NOT NULL,
FMESSAGETYPE CHAR(1) DEFAULT '1' NOT NULL,
FBIZTYPE CHAR(1) DEFAULT '1' NOT NULL,
FBIZID VARCHAR(50) DEFAULT ' ' NOT NULL,
FTITLE VARCHAR(255),
FMESSAGECONTENT BLOB,
FSENDERID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_MESSAGE_RECEIVER_REL') 
 CREATE TABLE T_QING_MESSAGE_RECEIVER_REL (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FMESSAGEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FRECEVIERID VARCHAR(50) DEFAULT ' ' NOT NULL,
FISREAD CHAR(1) DEFAULT '0' NOT NULL,
FREADDATE DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QING_table.sql **/
