IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_qing_demo_project')
DROP TABLE t_qing_demo_project;

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_qing_demo_project')
CREATE TABLE t_qing_demo_project (
	fname varchar(255) DEFAULT NULL,
	funit varchar(255) DEFAULT NULL,
	flongnumber varchar(255) DEFAULT NULL,
	flevel int NOT NULL DEFAULT 0,
	forderid int NOT NULL DEFAULT 0,
	fengid int NOT NULL DEFAULT 0,
	CONSTRAINT pk_tqdp PRIMARY KEY (forderid)
);

delete from t_qing_demo_project;

INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('基础工程',NULL,'01',1,1,1);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('施工',NULL,'01!001',2,2,1);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('拆除墙体','平方米','01!001!0001',3,3,1);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('踢脚线开槽','米','01!001!0002',3,4,1);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('铲除原有顶面灰','平方米','01!001!0003',3,5,1);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('浇楼面','平方米','01!001!0004',3,6,1);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('新砌砖墙（12墙）','平方米','01!001!0005',3,7,1);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('阳台护栏拆除','米','01!001!0006',3,8,1);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('水电管线槽粉刷','项','01!001!0007',3,9,1);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('阴阳角加固','项','01!001!0008',3,10,1);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('主材采购',NULL,'01!002',2,11,1);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('包煤气管','根','01!002!0001',3,12,1);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('侧封板','块','01!002!0002',3,13,1);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('水槽全套','套','01!002!0003',3,14,1);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('客厅及走道',NULL,'02',1,15,2);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('施工',NULL,'02!001',2,16,2);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('安装门槛石','米','02!001!0001',3,17,2);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('客厅，入户铺地面砖(正铺贴)','平方米','02!001!0002',3,18,2);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('楼梯空间铺贴地砖','平方米','02!001!0003',3,19,2);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('踢脚线铺贴','米','02!001!0004',3,20,2);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('过道铺地面砖(菱形铺贴)','平方米','02!001!0005',3,21,2);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('波打线','米','02!001!0006',3,22,2);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('吊顶走边','平方米','02!001!0007',3,23,2);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('平顶工艺','米','02!001!0008',3,24,2);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('筒灯开孔','个','02!001!0009',3,25,2);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('木制窗帘盒','米','02!001!0010',3,26,2);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('入户石膏线','米','02!001!0011',3,27,2);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('电视背景墙','平方米','02!001!0012',3,28,2);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('天棚、墙面批嵌','平方米','02!001!0013',3,29,2);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('天棚(多乐士/立邦)','平方米','02!001!0014',3,30,2);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('墙面硅藻泥或墙布','平方米','02!001!0015',3,31,2);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('主材采购',NULL,'02!002',2,32,2);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('入户鞋柜','个','02!002!0001',3,33,2);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('装饰柜','个','02!002!0002',3,34,2);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('主卧',NULL,'03',1,35,3);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('施工',NULL,'03!001',2,36,3);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('安装门槛石','米','03!001!0001',3,37,3);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('地面找平','米','03!001!0002',3,38,3);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('窗台大理石安装','米','03!001!0003',3,39,3);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('铺地面实木复合地板','平方米','03!001!0004',3,40,3);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('木地板踢脚线铺贴','米','03!001!0005',3,41,3);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('吊顶走边','平方米','03!001!0006',3,42,3);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('床头背景','平方米','03!001!0007',3,43,3);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('天棚、墙面批嵌','平方米','03!001!0008',3,44,3);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('天棚乳胶漆(多乐士/立邦)','平方米','03!001!0009',3,45,3);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('墙面硅藻泥或墙布','平方米','03!001!0010',3,46,3);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('主材采购',NULL,'03!002',2,47,3);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('衣柜','个','03!002!0001',3,48,3);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('吊柜','个','03!002!0002',3,49,3);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('木制窗帘盒','盒','03!002!0003',3,50,3);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('卫生间',NULL,'04',1,51,4);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('施工',NULL,'04!001',2,52,4);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('安装门槛石','米','04!001!0001',3,53,4);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('地面找平（20~50mm厚）','平方米','04!001!0002',3,54,4);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('铺地面砖（300*300）','平方米','04!001!0003',3,55,4);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('墙面贴瓷砖(300*600）','平方米','04!001!0004',3,56,4);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('墙面45°阴角线','根','04!001!0005',3,57,4);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('防水处理（地面）','平方米','04!001!0006',3,58,4);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('防水处理（墙面）','平方米','04!001!0007',3,59,4);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('造挡水条20公分','米','04!001!0008',3,60,4);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('主材采购',NULL,'04!002',2,61,4);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('浴室柜全套','套','04!002!0001',3,62,4);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('脸盆龙头','套','04!002!0002',3,63,4);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('蹲盆全套','套','04!002!0003',3,64,4);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('马桶全套','套','04!002!0004',3,65,4);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('双花洒','套','04!002!0005',3,66,4);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('基础工程',NULL,'05',1,67,5);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('施工',NULL,'05!001',2,68,5);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('拆除墙体','平方米','05!001!0001',3,69,5);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('踢脚线开槽','米','05!001!0002',3,70,5);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('阳台护栏拆除','米','05!001!0003',3,71,5);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('水电管线槽粉刷','项','05!001!0004',3,72,5);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('阴阳角加固','项','05!001!0005',3,73,5);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('主材采购',NULL,'05!002',2,74,5);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('包煤气管','根','05!002!0001',3,75,5);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('侧封板','块','05!002!0002',3,76,5);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('水槽全套','套','05!002!0003',3,77,5);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('客厅及走道',NULL,'06',1,78,6);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('施工',NULL,'06!001',2,79,6);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('波打线','米','06!001!0001',3,80,6);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('吊顶走边','平方米','06!001!0002',3,81,6);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('平顶工艺','米','06!001!0003',3,82,6);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('筒灯开孔','个','06!001!0004',3,83,6);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('木制窗帘盒','米','06!001!0005',3,84,6);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('入户石膏线','米','06!001!0006',3,85,6);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('电视背景墙','平方米','06!001!0007',3,86,6);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('天棚、墙面批嵌','平方米','06!001!0008',3,87,6);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('天棚(多乐士/立邦)','平方米','06!001!0009',3,88,6);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('墙面硅藻泥或墙布','平方米','06!001!0010',3,89,6);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('主材采购',NULL,'06!002',2,90,6);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('入户鞋柜','个','06!002!0001',3,91,6);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('装饰柜','个','06!002!0002',3,92,6);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('主卧',NULL,'07',1,93,7);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('施工',NULL,'07!001',2,94,7);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('安装门槛石','米','07!001!0001',3,95,7);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('地面找平','米','07!001!0002',3,96,7);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('窗台大理石安装','米','07!001!0003',3,97,7);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('铺地面实木复合地板','平方米','07!001!0004',3,98,7);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('木地板踢脚线铺贴','米','07!001!0005',3,99,7);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('吊顶走边','平方米','07!001!0006',3,100,7);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('床头背景','平方米','07!001!0007',3,101,7);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('次卧',NULL,'08',1,102,8);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('施工',NULL,'08!001',2,103,8);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('安装门槛石','米','08!001!0001',3,104,8);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('地面找平','米','08!001!0002',3,105,8);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('窗台大理石安装','米','08!001!0003',3,106,8);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('铺地面实木复合地板','平方米','08!001!0004',3,107,8);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('木地板踢脚线铺贴','米','08!001!0005',3,108,8);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('吊顶走边','米','08!001!0006',3,109,8);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('天棚、墙面批嵌','平方米','08!001!0007',3,110,8);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('天棚乳胶漆(多乐士/立邦)','平方米','08!001!0008',3,111,8);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('墙面硅藻泥或墙布','平方米','08!001!0009',3,112,8);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('主材采购',NULL,'08!002',2,113,8);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('装饰柜','个','08!002!0001',3,114,8);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('衣柜','个','08!002!0002',3,115,8);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('吊柜','个','08!002!0003',3,116,8);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('木制窗帘盒','盒','08!002!0004',3,117,8);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('厨房',NULL,'09',1,118,9);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('施工',NULL,'09!001',2,119,9);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('铺地面砖（300*300）','平方米','09!001!0001',3,120,9);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('封包管道','根','09!001!0002',3,121,9);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('装饰柜','平方米','09!001!0003',3,122,9);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('主材采购',NULL,'09!002',2,123,9);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('厨房推拉门','个','09!002!0001',3,124,9);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('厨房小装饰柜','个','09!002!0002',3,125,9);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('橱柜配件','个','09!002!0003',3,126,9);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('卫生间',NULL,'10',1,127,10);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('施工',NULL,'10!001',2,128,10);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('安装门槛石','米','10!001!0001',3,129,10);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('地面找平（20~50mm厚）','平方米','10!001!0002',3,130,10);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('防水处理（地面）','平方米','10!001!0003',3,131,10);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('防水处理（墙面）','平方米','10!001!0004',3,132,10);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('造挡水条20公分','米','10!001!0005',3,133,10);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('主材采购',NULL,'10!002',2,134,10);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('浴室柜全套','套','10!002!0001',3,135,10);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('脸盆龙头','套','10!002!0002',3,136,10);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('蹲盆全套','套','10!002!0003',3,137,10);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('马桶全套','套','10!002!0004',3,138,10);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('双花洒','套','10!002!0005',3,139,10);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('基础工程',NULL,'11',1,140,11);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('施工',NULL,'11!001',2,141,11);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('拆除墙体','平方米','11!001!0001',3,142,11);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('踢脚线开槽','米','11!001!0002',3,143,11);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('铲除原有顶面灰','平方米','11!001!0003',3,144,11);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('浇楼面','平方米','11!001!0004',3,145,11);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('新砌砖墙（12墙）','平方米','11!001!0005',3,146,11);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('阳台护栏拆除','米','11!001!0006',3,147,11);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('水电管线槽粉刷','项','11!001!0007',3,148,11);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('阴阳角加固','项','11!001!0008',3,149,11);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('主材采购',NULL,'11!002',2,150,11);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('包煤气管','根','11!002!0001',3,151,11);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('侧封板','块','11!002!0002',3,152,11);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('水槽全套','套','11!002!0003',3,153,11);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('客厅及走道',NULL,'12',1,154,12);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('施工',NULL,'12!001',2,155,12);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('安装门槛石','米','12!001!0001',3,156,12);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('客厅，入户铺地面砖(正铺贴)','平方米','12!001!0002',3,157,12);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('楼梯空间铺贴地砖','平方米','12!001!0003',3,158,12);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('踢脚线铺贴','米','12!001!0004',3,159,12);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('过道铺地面砖(菱形铺贴)','平方米','12!001!0005',3,160,12);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('波打线','米','12!001!0006',3,161,12);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('吊顶走边','平方米','12!001!0007',3,162,12);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('平顶工艺','米','12!001!0008',3,163,12);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('筒灯开孔','个','12!001!0009',3,164,12);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('木制窗帘盒','米','12!001!0010',3,165,12);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('入户石膏线','米','12!001!0011',3,166,12);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('电视背景墙','平方米','12!001!0012',3,167,12);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('天棚、墙面批嵌','平方米','12!001!0013',3,168,12);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('天棚(多乐士/立邦)','平方米','12!001!0014',3,169,12);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('墙面硅藻泥或墙布','平方米','12!001!0015',3,170,12);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('主材采购',NULL,'12!002',2,171,12);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('入户鞋柜','个','12!002!0001',3,172,12);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('装饰柜','个','12!002!0002',3,173,12);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('主卧',NULL,'13',1,174,13);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('施工',NULL,'13!001',2,175,13);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('安装门槛石','米','13!001!0001',3,176,13);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('地面找平','米','13!001!0002',3,177,13);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('窗台大理石安装','米','13!001!0003',3,178,13);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('铺地面实木复合地板','平方米','13!001!0004',3,179,13);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('木地板踢脚线铺贴','米','13!001!0005',3,180,13);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('吊顶走边','平方米','13!001!0006',3,181,13);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('床头背景','平方米','13!001!0007',3,182,13);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('天棚、墙面批嵌','平方米','13!001!0008',3,183,13);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('天棚乳胶漆(多乐士/立邦)','平方米','13!001!0009',3,184,13);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('墙面硅藻泥或墙布','平方米','13!001!0010',3,185,13);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('主材采购',NULL,'13!002',2,186,13);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('衣柜','个','13!002!0001',3,187,13);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('吊柜','个','13!002!0002',3,188,13);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('木制窗帘盒','盒','13!002!0003',3,189,13);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('次卧',NULL,'14',1,190,14);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('施工',NULL,'14!001',2,191,14);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('安装门槛石','米','14!001!0001',3,192,14);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('地面找平','米','14!001!0002',3,193,14);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('窗台大理石安装','米','14!001!0003',3,194,14);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('铺地面实木复合地板','平方米','14!001!0004',3,195,14);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('木地板踢脚线铺贴','米','14!001!0005',3,196,14);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('吊顶走边','米','14!001!0006',3,197,14);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('天棚、墙面批嵌','平方米','14!001!0007',3,198,14);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('天棚乳胶漆(多乐士/立邦)','平方米','14!001!0008',3,199,14);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('墙面硅藻泥或墙布','平方米','14!001!0009',3,200,14);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('主材采购',NULL,'14!002',2,201,14);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('装饰柜','个','14!002!0001',3,202,14);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('衣柜','个','14!002!0002',3,203,14);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('吊柜','个','14!002!0003',3,204,14);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('木制窗帘盒','盒','14!002!0004',3,205,14);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('客卧',NULL,'15',1,206,15);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('施工',NULL,'15!001',2,207,15);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('安装门槛石','米','15!001!0001',3,208,15);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('地面找平','米','15!001!0002',3,209,15);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('飘窗大理石安装','米','15!001!0003',3,210,15);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('铺地面实木复合地板','平方米','15!001!0004',3,211,15);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('木地板踢脚线铺贴','米','15!001!0005',3,212,15);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('吊顶走边','平方米','15!001!0006',3,213,15);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('天棚、墙面批嵌','平方米','15!001!0007',3,214,15);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('天棚乳胶漆(多乐士/立邦)','平方米','15!001!0008',3,215,15);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('墙面硅藻泥或墙布','平方米','15!001!0009',3,216,15);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('主材采购',NULL,'15!002',2,217,15);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('装饰柜','个','15!002!0001',3,218,15);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('衣柜','个','15!002!0002',3,219,15);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('吊柜','个','15!002!0003',3,220,15);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('木制窗帘盒','盒','15!002!0004',3,221,15);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('厨房',NULL,'16',1,222,16);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('施工',NULL,'16!001',2,223,16);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('铺地面砖（300*300）','平方米','16!001!0001',3,224,16);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('安装门槛石','米','16!001!0002',3,225,16);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('防水处理（地面）','平方米','16!001!0003',3,226,16);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('墙面贴瓷砖(300*600）','平方米','16!001!0004',3,227,16);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('封包管道','根','16!001!0005',3,228,16);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('装饰柜','平方米','16!001!0006',3,229,16);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('主材采购',NULL,'16!002',2,230,16);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('厨房推拉门','个','16!002!0001',3,231,16);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('厨房小装饰柜','个','16!002!0002',3,232,16);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('橱柜配件','个','16!002!0003',3,233,16);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('卫生间',NULL,'17',1,234,17);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('施工',NULL,'17!001',2,235,17);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('安装门槛石','米','17!001!0001',3,236,17);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('地面找平（20~50mm厚）','平方米','17!001!0002',3,237,17);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('铺地面砖（300*300）','平方米','17!001!0003',3,238,17);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('墙面贴瓷砖(300*600）','平方米','17!001!0004',3,239,17);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('墙面45°阴角线','根','17!001!0005',3,240,17);
INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('防水处理（地面）','平方米','17!001!0006',3,241,17);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('防水处理（墙面）','平方米','17!001!0007',3,242,17);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('造挡水条20公分','米','17!001!0008',3,243,17);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('主材采购',NULL,'17!002',2,244,17);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('浴室柜全套','套','17!002!0001',3,245,17);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('脸盆龙头','套','17!002!0002',3,246,17);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('蹲盆全套','套','17!002!0003',3,247,17);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('马桶全套','套','17!002!0004',3,248,17);
	 INSERT INTO t_qing_demo_project (fname,funit,flongnumber,flevel,forderid,fengid) VALUES
	 ('双花洒','套','17!002!0005',3,249,17);
