﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QING_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_QING_APP_USER', 'T_QING_APP_USER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_APP_USER' AND KSQL_INDNAME = 'IDX_QING_APP_USER_IDUSERTYPE') CREATE INDEX IDX_QING_APP_USER_IDUSERTYPE ON T_QING_APP_USER ( FEXTERNALUSERID ,FEXTERNALUSERTYPE );


 EXEC P_ALTERPK 'PK_T_QING_APP_ANALYSIS', 'T_QING_APP_ANALYSIS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_APP_ANALYSIS' AND KSQL_INDNAME = 'IDX_QING_APP_ANALYSIS_DIRID') CREATE INDEX IDX_QING_APP_ANALYSIS_DIRID ON T_QING_APP_ANALYSIS ( FDIRECTORYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_APP_ANALYSIS' AND KSQL_INDNAME = 'IDX_QING_APP_ANALYSIS_PID') CREATE INDEX IDX_QING_APP_ANALYSIS_PID ON T_QING_APP_ANALYSIS ( FPUBLISHID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_APP_ANALYSIS' AND KSQL_INDNAME = 'IDX_QING_APP_ANALYSIS_UNIONID') CREATE INDEX IDX_QING_APP_ANALYSIS_UNIONID ON T_QING_APP_ANALYSIS ( FUNIONID );


 EXEC P_ALTERPK 'PK_T_QING_APP_CONFIG', 'T_QING_APP_CONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_APP_CONFIG' AND KSQL_INDNAME = 'IDX_QING_APP_CONFIG_UNIONID') CREATE INDEX IDX_QING_APP_CONFIG_UNIONID ON T_QING_APP_CONFIG ( FUNIONID );


 EXEC P_ALTERPK 'PK_T_QING_APP_DATACENTER', 'T_QING_APP_DATACENTER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_APP_DATACENTER' AND KSQL_INDNAME = 'IDX_QING_APP_DATACENTER_DU') CREATE INDEX IDX_QING_APP_DATACENTER_DU ON T_QING_APP_DATACENTER ( FDATACENTERUUID );


 EXEC P_ALTERPK 'PK_T_QING_APP_DIR_DC_R', 'T_QING_APP_DIR_DC_R', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_APP_DIR_DC_R' AND KSQL_INDNAME = 'IDX_QING_APP_DDR_DIRID') CREATE INDEX IDX_QING_APP_DDR_DIRID ON T_QING_APP_DIR_DC_R ( FDIRECTORYID );


 EXEC P_ALTERPK 'PK_T_QING_APP_DIRECTORY', 'T_QING_APP_DIRECTORY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_APP_DIRECTORY' AND KSQL_INDNAME = 'IDX_QING_APP_DIRECTORY_UID') CREATE INDEX IDX_QING_APP_DIRECTORY_UID ON T_QING_APP_DIRECTORY ( FUNIONID );


 EXEC P_ALTERPK 'PK_T_QING_APP_FAVORITE', 'T_QING_APP_FAVORITE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_APP_FAVORITE' AND KSQL_INDNAME = 'IDX_QING_APP_FAVORITE_UID') CREATE INDEX IDX_QING_APP_FAVORITE_UID ON T_QING_APP_FAVORITE ( FUNIONID );


 EXEC P_ALTERPK 'PK_T_QING_APP_MESSAGE', 'T_QING_APP_MESSAGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_APP_MESSAGE' AND KSQL_INDNAME = 'IDX_QING_APP_MESSAGE_REPLYID') CREATE INDEX IDX_QING_APP_MESSAGE_REPLYID ON T_QING_APP_MESSAGE ( FREPLYID );


 EXEC P_ALTERPK 'PK_T_QING_APP_PERMPUBLISH', 'T_QING_APP_PERMPUBLISH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_APP_PERMPUBLISH' AND KSQL_INDNAME = 'IDX_QING_APP_PERMPUBLISH_UID') CREATE INDEX IDX_QING_APP_PERMPUBLISH_UID ON T_QING_APP_PERMPUBLISH ( FUNIONID );


 EXEC P_ALTERPK 'PK_T_QING_APP_PRAISE', 'T_QING_APP_PRAISE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_APP_PRAISE' AND KSQL_INDNAME = 'IDX_QING_APP_PRAISE_STID') CREATE INDEX IDX_QING_APP_PRAISE_STID ON T_QING_APP_PRAISE ( FSHARINGTARGETID );


 EXEC P_ALTERPK 'PK_T_QING_APP_PUSH_RECORD', 'T_QING_APP_PUSH_RECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_APP_PUSH_RECORD' AND KSQL_INDNAME = 'IDX_QING_APP_PR_ANALYSISID') CREATE INDEX IDX_QING_APP_PR_ANALYSISID ON T_QING_APP_PUSH_RECORD ( FANALYSISID );


 EXEC P_ALTERPK 'PK_T_QING_APP_REPLY', 'T_QING_APP_REPLY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_APP_REPLY' AND KSQL_INDNAME = 'IDX_QING_APP_REPLY_STID') CREATE INDEX IDX_QING_APP_REPLY_STID ON T_QING_APP_REPLY ( FSHARINGTARGETID );


 EXEC P_ALTERPK 'PK_T_QING_APP_SHARING', 'T_QING_APP_SHARING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_APP_SHARING' AND KSQL_INDNAME = 'IDX_QING_APP_SHARING_AID') CREATE INDEX IDX_QING_APP_SHARING_AID ON T_QING_APP_SHARING ( FANALYSISID );


 EXEC P_ALTERPK 'PK_T_QING_APP_SHARING_TARGET', 'T_QING_APP_SHARING_TARGET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_APP_SHARING_TARGET' AND KSQL_INDNAME = 'IDX_QING_APP_ST_SHARINGID') CREATE INDEX IDX_QING_APP_ST_SHARINGID ON T_QING_APP_SHARING_TARGET ( FSHARINGID );


 EXEC P_ALTERPK 'PK_T_QING_APP_USER_DC_R', 'T_QING_APP_USER_DC_R', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_QING_APP_USER_DC_R' AND KSQL_INDNAME = 'IDX_QING_APP_UDR_USERID') CREATE INDEX IDX_QING_APP_UDR_USERID ON T_QING_APP_USER_DC_R ( FUSERID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QING_constraint.sql **/
