/** 轻建模模型集新增字段，其中FCREATETIME为废弃字段，新增是为了保持各个环境表结构统一（之前有错误操作导致表结构不一致） **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QING_M_MODELSET' AND KSQL_COL_NAME ='FCREATEDATE')
ALTER TABLE T_QING_M_MODELSET ADD (FCREATEDATE DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QING_M_MODELSET' AND KSQL_COL_NAME ='FCREATETIME')
ALTER TABLE T_QING_M_MODELSET ADD (FCREATETIME VARCHAR(50) );

