--- kd_1.0.41_qing_table.sql ----
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QING_PUB_EMAIL_CONF' AND KSQL_COL_NAME IN ('FISANONYMOUSVIEW')) 
 ALTER TABLE T_QING_PUB_EMAIL_CONF ADD (FISANONYMOUSVIEW CHAR(1) DEFAULT '0' NOT NULL );
 EXEC p_AlterColumn 'T_QING_SCHEDULE_EXECUTE', 'FMSG', 'VARCHAR(2000)', 'NULL', '0100', '';



--- kd_1.0.41_qing_table_after.sql----  抽取时间升级脚本 ----
IF EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QING_BILL' AND KSQL_COL_NAME IN ('FEXTRACTDATATIME')) 
 update T_QING_BILL b set FEXTRACTDATATIME= (SELECT p.FCREATETIME FROM T_QING_PUBLISH p WHERE p.FID=b.FPUBLISHID) where b.FPUBLISHID in(SELECT a.FID FROM T_QING_PUBLISH a WHERE a.FID=b.FPUBLISHID and b.FEXTRACTDATATIME is null);

IF EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QING_PUB_SUBJECT_FILE' AND KSQL_COL_NAME IN ('FEXTRACTDATATIME')) 
 update T_QING_PUB_SUBJECT_FILE b set FEXTRACTDATATIME= (SELECT p.FCREATETIME FROM T_QING_PUBLISH p WHERE p.FID=b.FPUBLISHID) where b.FPUBLISHID in(SELECT a.FID FROM T_QING_PUBLISH a WHERE a.FID=b.FPUBLISHID and b.FEXTRACTDATATIME is null);

--- kd_1.0.42_qing_table.sql ---
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QING_IMGLIB_IMG_INFO' AND KSQL_COL_NAME IN ('FIMAGEWIDTH')) 
 ALTER TABLE T_QING_IMGLIB_IMG_INFO ADD (FIMAGEWIDTH INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QING_IMGLIB_IMG_INFO' AND KSQL_COL_NAME IN ('FIMAGEHEIGHT')) 
 ALTER TABLE T_QING_IMGLIB_IMG_INFO ADD (FIMAGEHEIGHT INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_PUB_EMAIL_SEND_LOG') 
 CREATE TABLE T_QING_PUB_EMAIL_SEND_LOG (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPUBLISHID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT '1' NOT NULL,
FERRORCODE INT DEFAULT 0 NOT NULL,
FEXCEPTIONINFO VARCHAR(2000)
);


--- kd_1.0.42_qing_constraint.sql ---
 EXEC P_ALTERPK 'PK_T_QING_PUB_EMAIL_SEND_LOG', 'T_QING_PUB_EMAIL_SEND_LOG', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QING_PESL_FID') CREATE UNIQUE  CLUSTERED INDEX IDX_QING_PESL_FID ON T_QING_PUB_EMAIL_SEND_LOG ( FPUBLISHID );


--- kd_1.0.45_qing_table.sql ---
 EXEC p_AlterColumn 'T_QING_THEME_GROUP', 'FUSERID', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_QING_THEME', 'FUSERID', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_QING_PUBLISH_CARDPERM', 'FUSERID', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_QING_PUBLISH_GROUP', 'FUSERID', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_QING_IMGLIB_CATEGORY', 'FUSERID', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_QING_IMGLIB_IMG_INFO', 'FUSERID', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';


--- kd_1.5.1_qing_table.sql ---
IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_PRESET_PKG_RECORD') 
DROP table T_QING_PRESET_PKG_RECORD

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_PRESET_PKG_RECORD') 
 CREATE TABLE T_QING_PRESET_PKG_RECORD (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME
);

EXEC P_ALTERPK 'PK_T_QING_Preset_Pkg_Record', 'T_QING_PRESET_PKG_RECORD', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_QING_PPRN') CREATE INDEX IDX_T_QING_PPRN ON T_QING_PRESET_PKG_RECORD ( FNAME );
