﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QING_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QING_THIRDPARTY_CONFIG' AND KSQL_COL_NAME ='FAPPIMAGEFILE') 
 ALTER TABLE T_QING_THIRDPARTY_CONFIG ADD (FAPPIMAGEFILE VARCHAR(50) );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_DBINFO') 
 CREATE TABLE T_QING_DBINFO (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(150),
FCONTENT BLOB,
FDBSOURCETYPE SMALLINT,
FCREATORID VARCHAR(50),
FCREATETIME DATETIME,
FMODIFIERID VARCHAR(50),
FMODIFYTIME DATETIME,
FHASHCODE CHAR(32),
FSHARED CHAR(1)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_DBINFO_REF') 
 CREATE TABLE T_QING_DBINFO_REF (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FFROMID VARCHAR(50),
FTOID VARCHAR(50),
FFROMTYPE SMALLINT,
FCREATORID VARCHAR(50),
FCREATETIME DATETIME,
FHASHCODE CHAR(32)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_MACRO') 
 CREATE TABLE T_QING_MACRO (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FUID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(150),
FDESC VARCHAR(250),
FMULTIVALUED CHAR(1),
FCREATORID VARCHAR(50),
FCREATETIME DATETIME,
FTYPE SMALLINT,
FMODIFIERID VARCHAR(50),
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_SQL_MACRO') 
 CREATE TABLE T_QING_SQL_MACRO (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FMACROID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSQLTYPE SMALLINT,
FSQL BLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QING_MACRO_REF') 
 CREATE TABLE T_QING_MACRO_REF (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FFROMID VARCHAR(50),
FTOID VARCHAR(50),
FTOPATH VARCHAR(255),
FCREATORID VARCHAR(50),
FREFTIME INT
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QING_table.sql **/
