IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_qing_demo_basicexpend')
DROP TABLE t_qing_demo_basicexpend;

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_qing_demo_basicexpend')
CREATE TABLE t_qing_demo_basicexpend (
	fid int NOT NULL DEFAULT 0,
	fbudgetinstitutions varchar(255) NOT NULL DEFAULT ' ',
	fsalaryappropriation numeric(30, 1) NULL,
	fservicesappropriation numeric(30, 1) NULL,
	fsubsidyappropriation numeric(30, 1) NULL,
	fgovbudgetappropriation int NOT NULL DEFAULT 0,
	fbudgetappropriation int NOT NULL DEFAULT 0,
	fbusinessincome numeric(30, 1) NULL,
	foperatingincome int NOT NULL DEFAULT 0,
	fotherincome int NOT NULL DEFAULT 0,
	fsubsidyincome int NOT NULL DEFAULT 0,
	faffiliatesincome int NOT NULL DEFAULT 0,
	fbalanceofpayments int NOT NULL DEFAULT 0,
	flastyearbalance int NOT NULL DEFAULT 0,
	CONSTRAINT pk_tqdbe PRIMARY KEY (fid)
);

delete from t_qing_demo_basicexpend;

INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (1,'深圳市教育局(本级)',2196.2,339.3,665.4,0,0,0.0,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (2,'深圳市教育发展基金会办公室',88.8,11.2,10.6,0,0,0.0,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (3,'深圳市招生考试办公室',332.3,60.5,55.8,0,0,0.0,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (4,'深圳市教育信息技术中心',538.4,90.1,79.7,0,0,0.0,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (5,'深圳市教育局财务核算中心',589.6,64.2,89.9,0,0,0.0,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (6,'深圳市第一职业技术学校',4971.5,2016.6,1049.7,0,0,141.6,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (7,'深圳市第二职业技术学校',5626.7,1997.7,1628.5,0,0,197.5,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (8,'深圳市元平特殊教育学校',7096.2,1733.2,904.6,0,0,0.0,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (9,'深圳市育新学校',2960.3,1030.3,363.1,0,0,124.3,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (10,'深圳市外国语学校',9248.1,2020.1,1570.2,0,0,549.2,0,0,0,0,0,0);
INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (11,'深圳市高级中学',11231.2,1897.8,1652.3,0,0,882.6,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (12,'深圳市第二实验学校',7692.5,1230.7,1563.6,0,0,600.4,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (13,'深圳中学',10161.7,1871.9,2432.1,0,0,290.1,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (14,'深圳大学师范学院附属中学',5115.8,1214.4,803.2,0,0,535.2,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (15,'深圳市第三高级中学',7622.9,1255.6,1364.3,0,0,836.3,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (16,'深圳市松岗中学(新疆班)',6246.7,197.6,1516.6,0,0,210.2,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (17,'深圳市实验学校',11444.5,1799.5,2044.8,0,0,599.1,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (18,'深圳小学',1920.6,380.7,502.8,0,0,0.0,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (19,'深圳市第二外国语学校',5205.3,791.8,1067.9,0,0,702.1,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (20,'深圳市第二高级中学',5110.2,1393.7,1084.6,0,0,252.2,0,0,0,0,0,0);
INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (21,'深圳市教育科学研究院',1647.1,150.6,264.5,0,0,0.0,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (22,'深圳市科学高中',4306.3,1067.1,673.4,0,0,797.6,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (23,'深圳市坪山新区坪山高级中学(新疆班)',1553.2,122.2,518.2,0,0,45.2,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_basicexpend (fid,fbudgetinstitutions,fsalaryappropriation,fservicesappropriation,fsubsidyappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (24,'深圳市第七高级中学',1115.1,499.6,127.4,0,0,165.6,0,0,0,0,0,0);
