IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_qing_demo_employeebasic')
CREATE TABLE t_qing_demo_employeebasic (
	fid int NOT NULL DEFAULT 0,
	fjobid int NOT NULL DEFAULT 0,
	fname varchar(255) NOT NULL DEFAULT ' ',
	fbirthday datetime NULL,
	fhometown varchar(255) NOT NULL DEFAULT ' ',
	fdomicileplace varchar(255) NOT NULL DEFAULT ' ',
	fpoliticalstatus varchar(255) NOT NULL DEFAULT ' ',
	faddress varchar(255) NOT NULL DEFAULT ' ',
	fphonenumber varchar(255) NOT NULL DEFAULT ' ',
	femail varchar(255) NOT NULL DEFAULT ' ',
	fethnic varchar(255) NOT NULL DEFAULT ' ',
	fmaritalstatus varchar(255) NOT NULL DEFAULT ' ',
	fgender varchar(255) NOT NULL DEFAULT ' ',
	CONSTRAINT pk_tqdeb PRIMARY KEY (fid)
);

delete from t_qing_demo_employeebasic;

INSERT INTO t_qing_demo_employeebasic (fid,fjobid,fname,fbirthday,fhometown,fdomicileplace,fpoliticalstatus,faddress,fphonenumber,femail,fethnic,fmaritalstatus,fgender) VALUES
	 (1,23745,'王浩',convert(datetime,'1986-09-22 00:00:00'),'黑龙江省哈尔滨市','深圳','群众','广东省深圳市福田区','138****1117','haowang001@163.com','朝鲜族','已婚','男');
	 INSERT INTO t_qing_demo_employeebasic (fid,fjobid,fname,fbirthday,fhometown,fdomicileplace,fpoliticalstatus,faddress,fphonenumber,femail,fethnic,fmaritalstatus,fgender) VALUES
	 (2,24537,'王晓丹',convert(datetime,'1984-05-01 00:00:00'),'广西省桂林市','深圳','党员','广东省深圳市宝安区','136****8751','king_li84@163.com','苗族','已婚','女');
	 INSERT INTO t_qing_demo_employeebasic (fid,fjobid,fname,fbirthday,fhometown,fdomicileplace,fpoliticalstatus,faddress,fphonenumber,femail,fethnic,fmaritalstatus,fgender) VALUES
	 (3,35447,'胡丽丽',convert(datetime,'1987-03-13 00:00:00'),'湖南省衡阳市','衡阳','群众','广东省深圳市南山区','152****7535','lili0313@163.com','满族','已婚','女');
	 INSERT INTO t_qing_demo_employeebasic (fid,fjobid,fname,fbirthday,fhometown,fdomicileplace,fpoliticalstatus,faddress,fphonenumber,femail,fethnic,fmaritalstatus,fgender) VALUES
	 (4,37515,'刘丹',convert(datetime,'1988-10-13 00:00:00'),'湖南省长沙市','烟台','党员','广东省深圳市龙华区','135****5645','liu5645@163.com','满族','未婚','男');
	 INSERT INTO t_qing_demo_employeebasic (fid,fjobid,fname,fbirthday,fhometown,fdomicileplace,fpoliticalstatus,faddress,fphonenumber,femail,fethnic,fmaritalstatus,fgender) VALUES
	 (5,43125,'李清泉',convert(datetime,'1992-06-17 00:00:00'),'湖北省武汉市','武汉','群众','广东省深圳市光明区','186****3543','jake92@163.com','汉族','已婚','男');
	 INSERT INTO t_qing_demo_employeebasic (fid,fjobid,fname,fbirthday,fhometown,fdomicileplace,fpoliticalstatus,faddress,fphonenumber,femail,fethnic,fmaritalstatus,fgender) VALUES
	 (6,45864,'刘彦',convert(datetime,'1996-03-10 00:00:00'),'广东省广州市','深圳','群众','广东省深圳市宝安区','156****2453','yanyancool@163.com','汉族','未婚','女');
	 INSERT INTO t_qing_demo_employeebasic (fid,fjobid,fname,fbirthday,fhometown,fdomicileplace,fpoliticalstatus,faddress,fphonenumber,femail,fethnic,fmaritalstatus,fgender) VALUES
	 (7,50345,'方虹',convert(datetime,'1997-08-09 00:00:00'),'广东省深圳市','深圳','群众','广东省深圳市南山区','136****0013','bai9508@163.com','汉族','未婚','女');
	 INSERT INTO t_qing_demo_employeebasic (fid,fjobid,fname,fbirthday,fhometown,fdomicileplace,fpoliticalstatus,faddress,fphonenumber,femail,fethnic,fmaritalstatus,fgender) VALUES
	 (8,53453,'张阳',convert(datetime,'1994-02-11 00:00:00'),'广东省东莞市','深圳','群众','广东省深圳市罗湖区','134****4504','zhangyang@163.com','汉族','未婚','男');
	 INSERT INTO t_qing_demo_employeebasic (fid,fjobid,fname,fbirthday,fhometown,fdomicileplace,fpoliticalstatus,faddress,fphonenumber,femail,fethnic,fmaritalstatus,fgender) VALUES
	 (9,56425,'黄子恒',convert(datetime,'1997-05-23 00:00:00'),'山东省青岛市','深圳','党员','广东省深圳市南山区','186****6934','huangno1@163.com','汉族','未婚','男');
	 INSERT INTO t_qing_demo_employeebasic (fid,fjobid,fname,fbirthday,fhometown,fdomicileplace,fpoliticalstatus,faddress,fphonenumber,femail,fethnic,fmaritalstatus,fgender) VALUES
	 (10,56847,'黄浩然',convert(datetime,'1995-10-11 00:00:00'),'广东省佛山市','佛山','党员','广东省深圳市福田区','138****1117','jack_ma@163.com','汉族','已婚','男');

