IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_qing_demo_employeeeducation')
DROP TABLE t_qing_demo_employeeeducation;

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_qing_demo_employeeeducation')
CREATE TABLE t_qing_demo_employeeeducation (
	fid int NOT NULL DEFAULT 0,
	fjobid int NOT NULL DEFAULT 0,
	fstartdate datetime NULL,
	fenddate datetime NULL,
	fdegree varchar(255) NOT NULL DEFAULT ' ',
	fcollege varchar(255) NOT NULL DEFAULT ' ',
	fmajor varchar(255) NOT NULL DEFAULT ' ',
	fgpa numeric(30, 2) NULL,
	CONSTRAINT pk_tqdee PRIMARY KEY (fid)
);

delete from t_qing_demo_employeeeducation;

INSERT INTO t_qing_demo_employeeeducation (fid,fjobid,fstartdate,fenddate,fdegree,fcollege,fmajor,fgpa) VALUES
	 (1,45864,convert(datetime,'2015-09-01 00:00:00'),convert(datetime,'2019-07-01 00:00:00'),'本科','西南大学','工商管理',4.11);
	 INSERT INTO t_qing_demo_employeeeducation (fid,fjobid,fstartdate,fenddate,fdegree,fcollege,fmajor,fgpa) VALUES
	 (2,50345,convert(datetime,'2015-09-01 00:00:00'),convert(datetime,'2019-07-01 00:00:00'),'本科','东南大学','计算机科学与技术',3.92);
	 INSERT INTO t_qing_demo_employeeeducation (fid,fjobid,fstartdate,fenddate,fdegree,fcollege,fmajor,fgpa) VALUES
	 (3,56847,convert(datetime,'2015-09-01 00:00:00'),convert(datetime,'2019-07-01 00:00:00'),'本科','南京大学','软件工程',4.08);
	 INSERT INTO t_qing_demo_employeeeducation (fid,fjobid,fstartdate,fenddate,fdegree,fcollege,fmajor,fgpa) VALUES
	 (4,50345,convert(datetime,'2019-09-01 00:00:00'),convert(datetime,'2022-07-01 00:00:00'),'硕士','东南大学','计算机科学与技术',4.12);
	 INSERT INTO t_qing_demo_employeeeducation (fid,fjobid,fstartdate,fenddate,fdegree,fcollege,fmajor,fgpa) VALUES
	 (5,56847,convert(datetime,'2019-09-01 00:00:00'),convert(datetime,'2022-07-01 00:00:00'),'硕士','南京大学','软件工程',4.21);
	 INSERT INTO t_qing_demo_employeeeducation (fid,fjobid,fstartdate,fenddate,fdegree,fcollege,fmajor,fgpa) VALUES
	 (6,53453,convert(datetime,'2014-09-01 00:00:00'),convert(datetime,'2018-07-01 00:00:00'),'本科','深圳大学','电子信息工程',3.99);
	 INSERT INTO t_qing_demo_employeeeducation (fid,fjobid,fstartdate,fenddate,fdegree,fcollege,fmajor,fgpa) VALUES
	 (7,53453,convert(datetime,'2018-09-01 00:00:00'),convert(datetime,'2021-07-01 00:00:00'),'硕士','华南师范大学','计算机科学与技术',4.05);
	 INSERT INTO t_qing_demo_employeeeducation (fid,fjobid,fstartdate,fenddate,fdegree,fcollege,fmajor,fgpa) VALUES
	 (8,35447,convert(datetime,'2005-09-01 00:00:00'),convert(datetime,'2009-07-01 00:00:00'),'本科','中国人民大学','人力资源管理',4.22);
	 INSERT INTO t_qing_demo_employeeeducation (fid,fjobid,fstartdate,fenddate,fdegree,fcollege,fmajor,fgpa) VALUES
	 (9,24537,convert(datetime,'2002-09-01 00:00:00'),convert(datetime,'2006-07-01 00:00:00'),'本科','上海交通大学','行政管理',4.26);
	 INSERT INTO t_qing_demo_employeeeducation (fid,fjobid,fstartdate,fenddate,fdegree,fcollege,fmajor,fgpa) VALUES
	 (10,43125,convert(datetime,'2010-09-01 00:00:00'),convert(datetime,'2014-07-01 00:00:00'),'本科','云南大学','通信工程',3.98);
INSERT INTO t_qing_demo_employeeeducation (fid,fjobid,fstartdate,fenddate,fdegree,fcollege,fmajor,fgpa) VALUES
	 (11,43125,convert(datetime,'2014-09-01 00:00:00'),convert(datetime,'2017-07-01 00:00:00'),'硕士','南开大学','通信工程',4.13);
	 INSERT INTO t_qing_demo_employeeeducation (fid,fjobid,fstartdate,fenddate,fdegree,fcollege,fmajor,fgpa) VALUES
	 (12,23745,convert(datetime,'2004-09-01 00:00:00'),convert(datetime,'2008-07-01 00:00:00'),'本科','武汉大学','电气工程及其自动化',4.16);
	 INSERT INTO t_qing_demo_employeeeducation (fid,fjobid,fstartdate,fenddate,fdegree,fcollege,fmajor,fgpa) VALUES
	 (13,37515,convert(datetime,'2007-09-01 00:00:00'),convert(datetime,'2011-07-01 00:00:00'),'本科','苏州大学','计算机科学与技术',4.05);
	 INSERT INTO t_qing_demo_employeeeducation (fid,fjobid,fstartdate,fenddate,fdegree,fcollege,fmajor,fgpa) VALUES
	 (14,56425,convert(datetime,'2015-09-01 00:00:00'),convert(datetime,'2019-07-01 00:00:00'),'本科','四川大学','机械设计制造及其自动化',4.06);
	 INSERT INTO t_qing_demo_employeeeducation (fid,fjobid,fstartdate,fenddate,fdegree,fcollege,fmajor,fgpa) VALUES
	 (15,56425,convert(datetime,'2019-09-01 00:00:00'),convert(datetime,'2022-07-01 00:00:00'),'硕士','电子科技大学','工业设计',4.14);

