IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_qing_demo_employeejobinfo')
DROP TABLE t_qing_demo_employeejobinfo;

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_qing_demo_employeejobinfo')
CREATE TABLE t_qing_demo_employeejobinfo (
	fid int NOT NULL DEFAULT 0,
	fjobid int NOT NULL DEFAULT 0,
	fstartdate datetime NULL,
	fenddate datetime NULL,
	fworkplace varchar(255) NOT NULL DEFAULT ' ',
	fjob varchar(255) NOT NULL DEFAULT ' ',
	fcompany varchar(255) NOT NULL DEFAULT ' ',
	CONSTRAINT pk_tqdeji PRIMARY KEY (fid)
);

delete from t_qing_demo_employeejobinfo;

INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (1,50345,convert(datetime,'2020-07-01 00:00:00'),NULL,'广东省深圳市','产品设计','金美蝶国际软件集团有限公司');
	 INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (2,45864,convert(datetime,'2020-05-01 00:00:00'),NULL,'广东省深圳市','测试工程师','金美蝶国际软件集团有限公司');
	 INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (3,56847,convert(datetime,'2020-07-01 00:00:00'),NULL,'广东省深圳市','软件开发','金美蝶国际软件集团有限公司');
	 INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (4,50345,convert(datetime,'2019-07-15 00:00:00'),convert(datetime,'2020-06-30 00:00:00'),'广东省深圳市','产品设计','讯科光大科技有限公司');
	 INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (5,45864,convert(datetime,'2019-07-15 00:00:00'),convert(datetime,'2020-04-30 00:00:00'),'广东省深圳市','测试工程师','荣盛电机装备集团有限公司');
	 INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (6,56847,convert(datetime,'2019-07-15 00:00:00'),convert(datetime,'2020-06-30 00:00:00'),'广东省深圳市','软件开发','德科特教育有限公司');
	 INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (7,53453,convert(datetime,'2021-07-15 00:00:00'),NULL,'广东省深圳市','软件开发','金美蝶国际软件集团有限公司');
	 INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (8,35447,convert(datetime,'2009-08-03 00:00:00'),convert(datetime,'2014-06-15 00:00:00'),'湖南省长沙市','HRBP','美时好食品有限公司');
	 INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (9,35447,convert(datetime,'2014-09-12 00:00:00'),NULL,'广东省深圳市','HR业务伙伴','金美蝶国际软件集团有限公司');
	 INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (10,24537,convert(datetime,'2006-07-08 00:00:00'),convert(datetime,'2010-10-15 00:00:00'),'浙江省杭州市','项目管理','长信普升科技有限公司');
INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (11,24537,convert(datetime,'2011-08-16 00:00:00'),convert(datetime,'2014-06-13 00:00:00'),'浙江省杭州市','项目管理','莱菲特装饰有限公司');
	 INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (12,24537,convert(datetime,'2014-07-15 00:00:00'),NULL,'广东省深圳市','经理','金美蝶国际软件集团有限公司');
	 INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (13,43125,convert(datetime,'2017-07-05 00:00:00'),convert(datetime,'2021-08-26 00:00:00'),'湖北省武汉市','软件工程师','开威网络科技有限公司');
	 INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (14,43125,convert(datetime,'2021-09-11 00:00:00'),NULL,'广东省深圳市','软件开发','金美蝶国际软件集团有限公司');
	 INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (15,23745,convert(datetime,'2008-07-08 00:00:00'),convert(datetime,'2011-09-24 00:00:00'),'湖北省武汉市','软件工程师','武汉联捷讯飞科技有限公司');
	 INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (16,23745,convert(datetime,'2011-10-08 00:00:00'),convert(datetime,'2017-06-18 00:00:00'),'广东省广州市','软件测试工程师','金科讯飞信息有限公司');
	 INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (17,23745,convert(datetime,'2017-09-13 00:00:00'),NULL,'广东省深圳市','应用测试','金美蝶国际软件集团有限公司');
	 INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (18,37515,convert(datetime,'2011-07-05 00:00:00'),convert(datetime,'2015-05-13 00:00:00'),'江苏省苏州市','前端开发工程师','朗科爱华网络科技有限公司');
	 INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (19,37515,convert(datetime,'2015-07-09 00:00:00'),convert(datetime,'2019-04-23 00:00:00'),'江苏省苏州市','前端开发工程师','锋影快讯网络科技有限公司');
	 INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (20,37515,convert(datetime,'2019-05-18 00:00:00'),NULL,'广东省深圳市','软件开发','金美蝶国际软件集团有限公司');
INSERT INTO t_qing_demo_employeejobinfo (fid,fjobid,fstartdate,fenddate,fworkplace,fjob,fcompany) VALUES
	 (21,56425,convert(datetime,'2022-07-13 00:00:00'),NULL,'广东省深圳市','软件开发','金美蝶国际软件集团有限公司');

