IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_qing_demo_officialexpend')
DROP TABLE t_qing_demo_officialexpend;

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_qing_demo_officialexpend')
CREATE TABLE t_qing_demo_officialexpend (
	fid int NOT NULL DEFAULT 0,
	fyear varchar(255) NOT NULL DEFAULT ' ',
	fbudgetinstitutions varchar(255) NOT NULL DEFAULT ' ',
	fofficialappropriation numeric(30, 1) NULL,
	fabroadappropriation int NOT NULL DEFAULT 0,
	freceptionappropriation numeric(30, 1) NULL,
	fcarappropriation int NOT NULL DEFAULT 0,
	fcarmroappropriation numeric(30, 1) NULL,
	CONSTRAINT pk_tqdoe PRIMARY KEY (fid)
);

delete from t_qing_demo_officialexpend;

INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (1,'2016年','深圳市教育局(本级)',20.3,0,6.8,0,14.6);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (2,'2016年','深圳市教育发展基金会办公室',3.6,0,0.0,0,3.6);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (3,'2016年','深圳市招生考试办公室',0.2,0,0.2,0,0.0);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (4,'2016年','深圳市教育信息技术中心',12.3,0,0.3,0,12.4);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (5,'2016年','深圳市教育局财务核算中心',11.2,0,0.2,0,10.8);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (6,'2016年','深圳市第一职业技术学校',39.6,0,3.6,0,36.6);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (7,'2016年','深圳市第二职业技术学校',49.3,0,1.3,0,48.8);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (8,'2016年','深圳市元平特殊教育学校',42.5,0,2.9,0,39.6);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (9,'2016年','深圳市育新学校',55.4,0,1.4,0,54.7);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (10,'2016年','深圳市外国语学校',50.8,0,5.8,0,45.6);
INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (11,'2016年','深圳市高级中学',143.9,0,5.9,90,48.8);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (12,'2016年','深圳市第二实验学校',48.6,0,5.4,0,43.2);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (13,'2016年','深圳中学',49.3,0,6.1,0,43.2);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (14,'2016年','深圳大学师范学院附属中学',31.6,0,2.8,0,28.8);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (15,'2016年','深圳市第三高级中学',50.3,0,5.3,0,45.4);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (16,'2016年','深圳市松岗中学(新疆班)',17.2,0,3.4,0,14.2);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (17,'2016年','深圳市实验学校',53.4,0,3.6,0,50.4);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (18,'2016年','深圳小学',12.1,0,1.3,0,10.8);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (19,'2016年','深圳市第二外国语学校',30.8,0,2.1,0,28.8);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (20,'2016年','深圳市第二高级中学',45.1,0,2.1,0,43.6);
INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (21,'2016年','深圳市教育科学研究院',25.5,0,0.3,0,25.2);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (22,'2016年','深圳市科学高中',26.1,0,0.9,0,25.2);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (23,'2016年','深圳市坪山新区坪山高级中学(新疆班)',0.2,0,0.2,0,0.0);
	 INSERT INTO t_qing_demo_officialexpend (fid,fyear,fbudgetinstitutions,fofficialappropriation,fabroadappropriation,freceptionappropriation,fcarappropriation,fcarmroappropriation) VALUES
	 (24,'2016年','深圳市第七高级中学',25.6,0,2.3,0,23.5);
