IF EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_qing_demo_prjexpend')
DROP TABLE t_qing_demo_prjexpend;

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_qing_demo_prjexpend')
CREATE TABLE t_qing_demo_prjexpend (
	fid int NOT NULL DEFAULT 0,
	fcategory varchar(255) NOT NULL DEFAULT ' ',
	fbudgetinstitutions varchar(255) NOT NULL DEFAULT ' ',
	fgeneralappropriation numeric(30, 1) NULL,
	fspecialfundappropriation numeric(30, 1) NULL,
	finvestmentappropriation numeric(30, 1) NULL,
	fgovbudgetappropriation numeric(30, 1) NULL,
	fbudgetappropriation int NOT NULL DEFAULT 0,
	fbusinessincome numeric(30, 1) NULL,
	foperatingincome int NOT NULL DEFAULT 0,
	fotherincome int NOT NULL DEFAULT 0,
	fsubsidyincome int NOT NULL DEFAULT 0,
	faffiliatesincome int NOT NULL DEFAULT 0,
	fbalanceofpayments int NOT NULL DEFAULT 0,
	flastyearbalance int NOT NULL DEFAULT 0,
	CONSTRAINT pk_tqdpe PRIMARY KEY (fid)
);

delete from t_qing_demo_prjexpend;

INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (1,'政府单位','深圳市教育局(本级)',367.3,0.0,0.0,0.0,0,40.6,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (2,'政府单位','深圳市教育局(事业)',1810.2,26496.3,8000.1,7643.3,0,0.0,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (3,'政府单位','深圳市教育发展基金会办公室',369.5,0.0,0.0,0.0,0,0.0,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (4,'政府单位','深圳市招生考试办公室',2014.2,0.0,0.0,0.0,0,2125.5,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (5,'政府单位','深圳市教育信息技术中心',1129.5,928.8,0.0,0.0,0,0.0,0,0,0,0,44,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (6,'政府单位','深圳市教育局财务核算中心',2283.5,0.0,0.0,0.0,0,0.0,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (7,'学校','深圳市第一职业技术学校',2473.5,1941.6,0.0,0.0,0,0.0,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (8,'学校','深圳市第二职业技术学校',7267.6,1994.6,0.0,0.0,0,30.3,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (9,'学校','深圳市元平特殊教育学校',2098.1,600.2,0.0,0.0,0,0.0,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (10,'学校','深圳市育新学校',1969.2,612.6,0.0,20.6,0,36.8,0,0,0,0,0,0);
INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (11,'学校','深圳市外国语学校',2894.3,275.5,0.0,8.5,0,311.6,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (12,'学校','深圳市高级中学',4046.8,373.3,0.0,10.2,0,145.7,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (13,'学校','深圳市第二实验学校',1548.7,288.2,0.0,38.1,0,120.5,0,0,0,0,175,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (14,'学校','深圳中学',2165.2,310.5,0.0,11.3,0,550.8,0,0,0,0,215,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (15,'学校','深圳大学师范学院附属中学',2018.3,173.3,0.0,28.9,0,128.4,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (16,'学校','深圳市第三高级中学',1373.5,297.5,0.0,0.0,0,192.2,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (17,'学校','深圳市松岗中学(新疆班)',717.6,0.0,0.0,0.0,0,0.0,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (18,'学校','深圳市实验学校',2045.8,389.6,0.0,16.8,0,92.2,0,0,0,0,90,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (19,'学校','深圳小学',855.4,122.5,0.0,0.0,0,0.0,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (20,'学校','深圳市第二外国语学校',1754.6,225.4,0.0,0.0,0,100.3,0,0,0,0,0,0);
INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (21,'学校','深圳市第二高级中学',2532.2,202.2,0.0,12.8,0,756.1,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (22,'学校','深圳市教育科学研究院',4073.1,4706.1,0.0,0.0,0,0.0,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (23,'学校','深圳市科学高中',950.1,193.8,0.0,0.0,0,138.2,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (24,'学校','深圳市坪山新区坪山高级中学(新疆班)',813.3,0.0,0.0,0.0,0,0.0,0,0,0,0,0,0);
	 INSERT INTO t_qing_demo_prjexpend (fid,fcategory,fbudgetinstitutions,fgeneralappropriation,fspecialfundappropriation,finvestmentappropriation,fgovbudgetappropriation,fbudgetappropriation,fbusinessincome,foperatingincome,fotherincome,fsubsidyincome,faffiliatesincome,fbalanceofpayments,flastyearbalance) VALUES
	 (25,'学校','深圳市第七高级中学',3765.9,29.9,0.0,0.0,0,34.6,0,0,0,0,0,0);
